> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eigenexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all operator addresses

> Returns a list of all operator addresses. This page supports pagination.



## OpenAPI

````yaml get /operators/addresses
openapi: 3.0.3
info:
  title: EigenExplorer API
  description: EigenExplorer is a community-driven data platform for EigenLayer AVS.
  version: 0.0.1
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.eigenexplorer.com
    description: EigenExplorer Production API
  - url: https://api-holesky.eigenexplorer.com
    description: EigenExplorer Holesky Testnet API
security: []
paths:
  /operators/addresses:
    get:
      tags:
        - Operators
      summary: Retrieve all operator addresses
      description: Returns a list of all operator addresses. This page supports pagination.
      operationId: getAllOperatorAddresses
      parameters:
        - in: query
          name: searchMode
          description: Search mode
          schema:
            type: string
            enum:
              - contains
              - startsWith
            default: contains
            description: Search mode
            example: contains
        - in: query
          name: searchByText
          description: Case-insensitive search query
          schema:
            type: string
            description: Case-insensitive search query
            example: eigen
        - in: query
          name: skip
          description: The number of records to skip for pagination
          schema:
            type: string
            default: '0'
            description: The number of records to skip for pagination
            example: 0
        - in: query
          name: take
          description: The number of records to return for pagination
          schema:
            type: string
            default: '12'
            description: The number of records to return for pagination
            example: 12
        - in: header
          name: X-API-Token
          description: API Token for authentication
          schema:
            type: string
            description: API Token for authentication
          required: true
      responses:
        '200':
          description: The list of operator addresses.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The contract address of the AVS operator
                          example: '0x0000039b2f2ac9e3492a0f805ec7aea9eaee0c25'
                        name:
                          type: string
                          description: The Operator's name
                          example: Example Operator
                        logo:
                          type: string
                          description: The Operator's logo URL
                          example: https://example.operator/logo.png
                      required:
                        - address
                        - name
                        - logo
                  meta:
                    type: object
                    properties:
                      total:
                        type: number
                        description: Total number of records in the database
                        example: 30
                      skip:
                        type: number
                        description: The number of skiped records for this query
                        example: 0
                      take:
                        type: number
                        description: The number of records returned for this query
                        example: 12
                    required:
                      - total
                      - skip
                      - take
                required:
                  - data
                  - meta
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````